using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
    if (!IsPostBack)
    {
      // Make up a fake ItemId and fake Values from a ViewState property.
      ContentRating1.ItemId = Guid.NewGuid();
      ContentRating1.DataSource = Values;
      ContentRating1.DataBind();
    }
  }

  protected void ContentRating1_Rating(object sender, Spaanjaars.Toolkit.RateEventArgs e)
  {
    if (e.HasRated)
    {
      e.Cancel = true;
    }
  }

  protected void ContentRating1_Rated(object sender, Spaanjaars.Toolkit.RateEventArgs e)
  {
    int[] tempValues;
    tempValues = Values;

    tempValues[Convert.ToInt32(e.RateValue) - 1] += 1;

    Values = tempValues;
    ContentRating1.DataSource = Values;
    ContentRating1.DataBind();
  }

  public int[] Values
  {
    get
    {
      object values = ViewState["Values"];
      if (values != null)
      {
        return (int[])values;
      }
      else
      {
        return new int[] { 2, 0, 0, 5, 5 };
      }
    }
    set
    {
      ViewState["Values"] = value;
    }
  }
}
